<div> <p> Create Custom Field Folder </p> <div> <span style= "display: inline-block; width: 25px; height: 25px; background-color: yellow; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 22px; border: 2px solid black; border-radius: 10%; margin-right: 10px;"> ! </span> <span> <strong> Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future. </strong> </span> </div> </div>

http
PUT https://services.leadconnectorhq.com/custom-fields/folder/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes

Body

NameTypeRequiredExampleDescription
namestringYesNameField name
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Responses

200 - Successful response
  • id (string, required): Unique identifier of the object

  • objectKey (string, required): The key for your custom object. This key uniquely identifies the custom object. Example: "custom_object.pet" for a custom object related to pets. Example: custom_object.pet

  • locationId (string, required): Account Id Example: ve9EPM428h8vShlRW1KT

  • name (string, required): Field name Example: Name

json
{
  "id": "string",
  "objectKey": "custom_object.pet",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "Name"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/custom-fields/folder/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Name",
  "locationId": "ve9EPM428h8vShlRW1KT"
}'

Last updated October 26, 2026

Was this page helpful?